Split tool fails to split line if start and end are the same

2011-12-07 03:31 AM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14521

Description

If the start and end node of a line are snapped together e.g. a closed loop, the split tool fails to split the line and create two new lines.

To reproduce:

    -  Draw a polyline with start and end node snapped together (a loop)

    -  Change style of line layer to show start and end nodes on line.

    -  Split line using the split tool

    -  Start and end point will be moved to the split point but the line will still be whole

    -  Drag the start node away from end node and repeat split process.

    -  Line will be cut in two as expected

History

#1 - 2011-12-16 02:09 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:32 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#3 - 2012-09-04 11:55 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2013-02-08 08:04 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed by using a better approach for line splitting in commit:c90870d09594fc1d19fe30b2a8f40a1c049347b9
